// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

body, html {
  height: 100%;
}

#app {
  height: 100%;
}

nav {
  z-index: 1;
}

.bg {
  background-color: black;
  font-family: 'Nunito';
}

.splash.bg {
    height: 100vh;
    width: 100vw;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    top: 0%;
    left: 0%;

    .action {
      a.btn-lg {
        font-size: 200%;
      }
    }

    .info {
      position: absolute;
      z-index: 1;
      bottom: 10%;
      >.row {
        padding-left: 10%;
        padding-right: 10%;
      }
      .row.title {
        font-size: 350%;
        color: #fff;
      }
      .row.subtitle {
        font-size: 150%;
        font-weight: bold;
        color: #eee;
      }
    }
}

.container-fluid {
  width: 96%;
}

.image-attribution {
    position: absolute;
    bottom: 0;
    left: 0;
    a {
      color: #fff;
    }
    background-color: #000;
    z-index: 1;
}

.splash.bg.small {
    .info {
      height: 480px;
      width: 100%;
      top: 0%;
      padding-top: 60vh;
    }
}

@media (max-width: 640px) {
  .splash.bg.big {
    display: none
  }
  .splash.bg.small {
    display: block
  }
}

@media (min-width: 640px) {
  .splash.bg.small {
    display: none
  }
  .splash.bg.big {
    display: block
  }
}

.splash-body {
  background: black;
}

.form-check-label {
  padding-right: 30px;
  padding-left: 15px;
}